Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066102 - Updates needed for B.2. Desktop Environments and Window Managers
Summary: Updates needed for B.2. Desktop Environments and Window Managers
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-System_Administrators_Guide
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Stephen Wadeley
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks: 1052260
TreeView+ depends on / blocked
 
Reported: 2014-02-17 16:52 UTC by Matthias Clasen
Modified: 2019-03-06 00:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-16 14:43:23 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Matthias Clasen 2014-02-17 16:52:29 UTC
The section 

B.2. Desktop Environments and Window Managers

needs some updates.

- We don't include twm in RHEL7, so it should probably not mentioned as a 'rudimentary window manager' in the first paragraph. I suggest exchanging this with 'a standalone window manager, such as metacity'.

- We also don't include compiz in RHEL7, so it should not be listed in the window manager list.

- We don't include xdm, so it should not be listed in the display manager list


Overall, the section seems far to heavy on the xorg configuration files.

Comment 1 Matthias Clasen 2014-02-17 16:53:34 UTC
Oh, one more thing I forgot: GNOME in rhel7 is based on gtk3, not gtk2

Comment 7 Matthias Clasen 2014-06-13 09:55:02 UTC
Some more corrections:

"The Red Hat Enterprise Linux repositories provide five different window managers."

But then you list only three:


metacity
    The Metacity window manager is the default window manager for GNOME. It is a simple and efficient window manager which supports custom themes. This window manager is automatically pulled in as a dependency when the GNOME desktop is installed. 
kwin
    The KWin window manager is the default window manager for KDE. It is an efficient window manager which supports custom themes. This window manager is automatically pulled in as a dependency when the KDE desktop is installed. 
mwm
    The Motif Window Manager (mwm) is a basic, stand-alone window manager. Since it is designed to be stand-alone, it should not be used in conjunction with GNOME or KDE. To run this window manager, you need to install the openmotif package. 

I'd suggest to replace 'five' by 'several' in the first sentence to avoid the counting problem. In the list itself, please add gnome-shell, like the following:

gnome-shell
   GNOME Shell is the the default window manager for GNOME. It provides the
   user experience of GNOME and is automatically pulled in as a dependency
   when the GNOME desktop is installed.

The metacity description should be adjusted to no longer say it is the default for GNOME. Maybe like this:

metacity
  The metacity window manager is a simple and efficient window manager that can
  be used when a full desktop environment is not needed.

Comment 8 Stephen Wadeley 2014-06-16 11:07:03 UTC
Hello Matthias

Thank you for the feedback

Updates as per comment 7 will appear in:
Red_Hat_Enterprise_Linux-System_Administrators_Guide-7-web-en-US-0.12-0.el6eng

Thank you


Note You need to log in before you can comment on or make changes to this bug.